aboutsummaryrefslogtreecommitdiffstats
path: root/testing/libelf/APKBUILD
diff options
context:
space:
mode:
authorNatanael Copa <ncopa@alpinelinux.org>2010-05-06 12:53:01 +0000
committerNatanael Copa <ncopa@alpinelinux.org>2010-05-06 12:53:01 +0000
commit9f06eca49f5d661dfb3156b94f75d258642a3160 (patch)
tree30be4d1824f560dad66e891e1e45049d545f7c56 /testing/libelf/APKBUILD
parent75ff374836b4debeac557416f3ad156d3bd38b35 (diff)
downloadaports-9f06eca49f5d661dfb3156b94f75d258642a3160.tar.gz
aports-9f06eca49f5d661dfb3156b94f75d258642a3160.tar.bz2
aports-9f06eca49f5d661dfb3156b94f75d258642a3160.tar.xz
testing/libelf: new aport
libelf is a free ELF object file access library http://www.mr511.de/software/
Diffstat (limited to 'testing/libelf/APKBUILD')
-rw-r--r--testing/libelf/APKBUILD26
1 files changed, 26 insertions, 0 deletions
diff --git a/testing/libelf/APKBUILD b/testing/libelf/APKBUILD
new file mode 100644
index 0000000000..88a52258bc
--- /dev/null
+++ b/testing/libelf/APKBUILD
@@ -0,0 +1,26 @@
+# Maintainer: Natanael Copa <ncopa@alpinelinux.org>
+pkgname=libelf
+pkgver=0.8.13
+pkgrel=0
+pkgdesc="libelf is a free ELF object file access library"
+url="http://www.mr511.de/software/"
+license="GPL"
+depends=
+makedepends=
+subpackages="$pkgname-dev"
+source="http://www.mr511.de/software/$pkgname-$pkgver.tar.gz"
+
+build() {
+ cd "$srcdir"/$pkgname-$pkgver
+ ./configure --prefix=/usr \
+ --enable-shared \
+ --enable-gnu-names \
+ --enable-compat || return 1
+ make || return 1
+}
+
+package() {
+ cd "$srcdir"/$pkgname-$pkgver
+ make install prefix="$pkgdir"/usr || return 1
+}
+md5sums="4136d7b4c04df68b686570afa26988ac libelf-0.8.13.tar.gz"